#!/usr/bin/env bash


# Login
# Fill with your credentials
response=$(curl --silent -X POST 'https://www.acapela-cloud.com/api/login/' -d '{"email":"","password":""}' -H 'Content-Type: application/json') 
token=$(echo $response | sed "s/{.*\"token\":\"\([^\"]*\).*}/\1/g")
echo 'token : ' $token
echo ""


# Dico language list
response=$(curl --silent -G --data-urlencode "type=language_list" 'https://www.acapela-cloud.com/api/dicoeditor/' -H 'Authorization: Token '$token)
echo "language_list : $response"
echo ""


# Words nature list
response=$(curl --silent -G --data-urlencode "type=nature_list" 'https://www.acapela-cloud.com/api/dicoeditor/' -H 'Authorization: Token '$token)
echo "nature_list : $response"
echo ""


# Phoneme list for a given language
response=$(curl --silent -G --data-urlencode "type=phoneme_list" --data-urlencode "language=13" 'https://www.acapela-cloud.com/api/dicoeditor/' -H 'Authorization: Token '$token)
echo "phoneme_list : $response"
echo ""


# Add new dictionary
response=$(curl --silent -X POST 'https://www.acapela-cloud.com/api/dicoeditor/' -d '{"type":"add_dico","name":"test_add_dico","language":"13"}' -H 'Authorization: Token '$token -H 'Content-Type: application/json') 
echo $response
echo ""


# Dico list
response=$(curl --silent -G --data-urlencode "type=dico_list" 'https://www.acapela-cloud.com/api/dicoeditor/' -H 'Authorization: Token '$token)
echo "dico_list : $response"
echo ""

# Word transcription
response=$(curl --silent -G --data-urlencode "type=check_word" --data-urlencode "word=hello" --data-urlencode "language=13"  'https://www.acapela-cloud.com/api/dicoeditor/' -H 'Authorization: Token '$token)
echo "dico_list : $response"
echo ""


# Add new entry
response=$(curl --silent -X POST 'https://www.acapela-cloud.com/api/dicoeditor/' -d '{"type":"add_entry","dic_id":"639","word":"cool","nature":"13","transcription":"k u l","validated":"true"}' -H 'Authorization: Token '$token -H 'Content-Type: application/json') 
echo $response
echo ""


# Dico  content
response=$(curl --silent -G --data-urlencode "type=dico_content" --data-urlencode "dic_id=639"  'https://www.acapela-cloud.com/api/dicoeditor/' -H 'Authorization: Token '$token)
echo "dico_list : $response"
echo ""


# Generate dictionary
response=$(curl --silent -X POST 'https://www.acapela-cloud.com/api/dicoeditor/' -d '{"type":"export_dico","dic_id":"639","dic_name":"cool"}' -H 'Authorization: Token '$token -H 'Content-Type: application/json') 
echo $response


# Delete entry
response=$(curl --silent -X DELETE  'https://www.acapela-cloud.com/api/dicoeditor/'  -d '{"type":"delete_entry","dic_id":"639","entry_id":"109907"}' -H 'Authorization: Token '$token -H 'Content-Type: application/json') 
echo 'response : ' $response
echo ""


# Delete dico
response=$(curl --silent -X DELETE  'https://www.acapela-cloud.com/api/dicoeditor/'  -d '{"type":"delete_dico","dic_id":"639"}' -H 'Authorization: Token '$token -H 'Content-Type: application/json') 
echo 'response : ' $response
echo ""



